> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# List vendors by organization

GET https://api-sandbox.payabli.com/api/Query/vendors/org/{orgId}

Retrieve a list of vendors for an organization. Use filters to limit results. Include the `exportFormat` query parameter to return the results as a file instead of a JSON response.

Reference: https://docs.payabli.com/developers/api-reference/vendor/get-list-of-vendors-for-organization

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: payabliApi-oas
  version: 1.0.0
paths:
  /Query/vendors/org/{orgId}:
    get:
      operationId: ListVendorsOrg
      summary: Get list of vendors for organization
      description: >-
        Retrieve a list of vendors for an organization. Use filters to limit
        results. Include the `exportFormat` query parameter to return the
        results as a file instead of a JSON response.
      tags:
        - Query
      parameters:
        - name: orgId
          in: path
          description: The numeric identifier for organization, assigned by Payabli.
          required: true
          schema:
            type: integer
        - name: exportFormat
          in: query
          description: >-
            Export format for file downloads. When specified, returns data as a
            file instead of JSON.
          required: false
          schema:
            $ref: '#/components/schemas/ExportFormat'
        - name: fromRecord
          in: query
          description: >-
            The number of records to skip before starting to collect the result
            set.
          required: false
          schema:
            type: integer
            default: 0
        - name: limitRecord
          in: query
          description: >-
            Max number of records to return for the query. Use `0` or negative
            value to return all records.
          required: false
          schema:
            type: integer
            default: 20
        - name: parameters
          in: query
          description: >-
            Collection of field names, conditions, and values used to filter the
            query

            <Info>
              **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.**

              Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client.

              For example:

              --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20

              should become:

              --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20
            </Info>

            See [Filters and Conditions
            Reference](/developers/developer-guides/pay-ops-reporting-engine-overview#filters-and-conditions-reference)
            for help.


            List of field names accepted:

            - `method` (in, nin, eq, ne)

            - `enrollmentStatus` (in,nin, eq, ne)

            - `status` (in, nin, eq, ne)

            - `vendorNumber` (ct, nct, eq, ne)

            - `name` (ct, nct, eq, ne)

            - `ein` (ct, nct, eq, ne)

            - `phone` (ct, nct, eq, ne)

            - `email` (ct, nct, eq, ne)

            - `remitEmail` (ct, nct, eq, ne)

            - `address` (ct, nct, eq, ne)

            - `city` (ct, nct, eq, ne)

            - `state` (ct, nct, eq, ne)

            - `country` (ct, nct, eq, ne)

            - `zip` (ct, nct, eq, ne)

            - `mcc` (ct, nct, eq, ne)

            - `locationCode` (ct, nct, eq, ne)

            - `paypointLegal` (ne, eq, ct, nct)

            - `paypointDba` (ne, eq, ct, nct)

            - `parentOrgId` (ne, eq, nin, in)

            - `orgName` (ne, eq, ct, nct)


            List of comparison accepted - enclosed between parentheses:

            - eq or empty => equal

            - gt => greater than

            - ge => greater or equal

            - lt => less than

            - le => less or equal

            - ne => not equal

            - ct => contains

            - nct => not contains

            - in => inside array separated by "|"

            - nin => not inside array separated by "|"


            List of parameters accepted:

            - limitRecord : max number of records for query (default="20", "0"
            or negative value for all)

            - fromRecord : initial record in query


            Example: `netAmount(gt)=20` returns all records with a `netAmount`
            greater than 20.00
          required: false
          schema:
            type: object
            additionalProperties:
              type:
                - string
                - 'null'
        - name: sortBy
          in: query
          description: >-
            The field name to use for sorting results. Use `desc(field_name)` to
            sort descending by `field_name`, and use `asc(field_name)` to sort
            ascending by `field_name`.
          required: false
          schema:
            type: string
        - name: requestToken
          in: header
          description: >
            Long-lived API token sent in the `requestToken` header. See [API
            token authentication](/developers/api-tokens).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QueryResponseVendors'
        '400':
          description: Bad request / invalid data.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '401':
          description: Unauthorized request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '503':
          description: Database connection error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
servers:
  - url: https://api-sandbox.payabli.com/api
    description: Sandbox
  - url: https://api.payabli.com/api
    description: Production
components:
  schemas:
    ExportFormat:
      type: string
      enum:
        - csv
        - xlsx
      description: |
        Export format for file downloads. When specified, returns data as a file
        instead of JSON.
      title: ExportFormat
    AdditionalData:
      type: object
      additionalProperties:
        type: object
        additionalProperties:
          description: Any type
      description: >
        Custom dictionary of key:value pairs. You can use this field to store
        any

        data related to the object or for your system. If you are using

        [custom identifiers](/developers/developer-guides/entities-customers),

        pass those in this object. Max length for a value is 100 characters.

        Example usage:


        ```json

        {
          "additionalData": {
            "key1": "value1",
            "key2": "value2",
            "key3": "value3"
          }
        }

        ```
      title: AdditionalData
    AddressNullable:
      type: string
      description: The address.
      title: AddressNullable
    AddressAddtlNullable:
      type: string
      description: Additional line for the address.
      title: AddressAddtlNullable
    AccountId:
      type: string
      description: Custom identifier for payment connector.
      title: AccountId
    BankName:
      type: string
      description: Name of bank for account.
      title: BankName
    RoutingAccount:
      type: string
      description: Routing number of bank account.
      title: RoutingAccount
    AccountNumber:
      type: string
      description: >-
        Account number for bank account. This value is returned masked in
        responses.
      title: AccountNumber
    TypeAccount:
      type: string
      enum:
        - Checking
        - Savings
      description: 'Type of bank account: Checking or Savings.'
      title: TypeAccount
    BankAccountHolderName:
      type: string
      description: The accountholder's name.
      title: BankAccountHolderName
    BankAccountHolderType:
      type: string
      enum:
        - Personal
        - Business
      description: Describes whether the bank is a personal or business account.
      title: BankAccountHolderType
    BillingDataResponse:
      type: object
      properties:
        id:
          type: integer
          description: The bank's ID in Payabli.
        accountId:
          $ref: '#/components/schemas/AccountId'
          description: >-
            An identifier for the bank account. If not provided during creation
            or update, the system generates one in the format
            `acct-{first_digit}xxxxx{last_4_digits}` based on the account
            number. If a duplicate exists within the same service at the
            paypoint, a numeric suffix is appended, such as `-2`. This value is
            also used as the identifier for the bank account's associated
            payment connector.
        nickname:
          type: string
        bankName:
          $ref: '#/components/schemas/BankName'
        routingAccount:
          $ref: '#/components/schemas/RoutingAccount'
        accountNumber:
          $ref: '#/components/schemas/AccountNumber'
        typeAccount:
          $ref: '#/components/schemas/TypeAccount'
        bankAccountHolderName:
          $ref: '#/components/schemas/BankAccountHolderName'
        bankAccountHolderType:
          $ref: '#/components/schemas/BankAccountHolderType'
        bankAccountFunction:
          type: integer
          description: >-
            Describes whether the bank account is used for deposits or
            withdrawals in Payabli:
              - `0`: Deposit
              - `1`: Withdrawal
              - `2`: Deposit and withdrawal
        verified:
          type: boolean
        status:
          type: integer
        services:
          type: array
          items:
            description: Any type
        default:
          type: boolean
      required:
        - id
        - nickname
        - bankName
        - routingAccount
        - accountNumber
        - typeAccount
        - bankAccountHolderName
        - bankAccountHolderType
        - bankAccountFunction
        - verified
        - status
        - services
        - default
      title: BillingDataResponse
    CityNullable:
      type: string
      description: The city.
      title: CityNullable
    Email:
      type: string
      format: email
      description: Email address.
      title: Email
    ContactsResponse:
      type: object
      properties:
        ContactEmail:
          $ref: '#/components/schemas/Email'
          description: Contact email address.
        ContactName:
          type: string
          description: Contact name.
        ContactPhone:
          type: string
          description: Contact phone number.
        ContactTitle:
          type: string
          description: Contact title.
      title: ContactsResponse
    CreatedAt:
      type: string
      format: date-time
      description: Timestamp of when record was created, in UTC.
      title: CreatedAt
    Ein:
      type: string
      description: Business EIN or tax ID. This value is masked in API responses.
      title: Ein
    EnrollmentStatus:
      type: string
      description: Enrollment status of vendor in payables program.
      title: EnrollmentStatus
    ExternalPaypointId:
      type: string
      description: |
        A custom identifier for the paypoint, if applicable.
      title: ExternalPaypointId
    InternalReferenceId:
      type: integer
      format: int64
      description: An internal reference ID.
      title: InternalReferenceId
    LastModified:
      type: string
      format: date-time
      description: Timestamp of when record was last updated, in UTC.
      title: LastModified
    Mcc:
      type: string
      description: >
        Business Merchant Category Code (MCC).

        [This
        resource](https://github.com/greggles/mcc-codes/blob/main/mcc_codes.csv)

        lists MCC codes.
      title: Mcc
    OrgParentName:
      type: string
      description: The name of the parent organization.
      title: OrgParentName
    OrgParentId:
      type: integer
      format: int64
      description: The ID of the org's parent organization.
      title: OrgParentId
    PayeeName:
      type: string
      description: Alternative name used to receive paper check.
      title: PayeeName
    VendorPaymentMethodString:
      type: string
      description: |
        The vendor's preferred payment method. Can be one of:

        - `managed` — Managed payment method
        - `vcard` — Virtual card payment method
        - `check` — Check payment method
        - `ach` — ACH payment method
      title: VendorPaymentMethodString
    Dbaname:
      type: string
      description: |
        The alternate or common name that this business is doing business under,
        usually referred to as a DBA name.
      title: Dbaname
    Entrypointfield:
      type: string
      description: The entrypoint identifier.
      title: Entrypointfield
    Legalname:
      type: string
      description: Business legal name.
      title: Legalname
    Remitaddress1:
      type: string
      description: >
        Remittance street address. Used for mailing paper checks. Required if
        any

        remittance address field is provided.
      title: Remitaddress1
    Remitaddress2:
      type: string
      description: |
        Remittance address additional line, such as a suite or unit number. Used
        for mailing paper checks. Always optional.
      title: Remitaddress2
    Remitcity:
      type: string
      description: |
        Remittance address city. Used for mailing paper checks. Required if any
        remittance address field is provided.
      title: Remitcity
    Remitcountry:
      type: string
      description: |
        Remittance address country. Used for mailing paper checks. Must be `US`
        or `CA`. Defaults to `US` if not provided.
      title: Remitcountry
    RemitEmail:
      type: string
      format: email
      description: |
        Remittance email address. Used for sending virtual cards and other
        information about payouts.
      title: RemitEmail
    Remitstate:
      type: string
      description: |
        Remittance address state or province. Used for mailing paper checks.
        Required if any remittance address field is provided. Must be a valid
        US state or Canadian province abbreviation.
      title: Remitstate
    Remitzip:
      type: string
      description: |
        Remittance address ZIP or postal code. Used for mailing paper checks.
        Required if any remittance address field is provided. For US addresses,
        use five digits or ZIP+4 format.
      title: Remitzip
    StateNullable:
      type: string
      description: The state or province.
      title: StateNullable
    BinData:
      type: object
      properties:
        binMatchedLength:
          type: string
          description: |-
            The number of characters from the beginning of the card number that
            were matched against a Bank Identification Number (BIN) or the Card
            Range table.
        binCardBrand:
          type: string
          description: |-
            The card brand. For example, Visa, Mastercard, American Express,
            Discover.
        binCardType:
          type: string
          description: |-
            The type of card: `Credit` or `Debit`. Case can vary between
            processors, so compare this value case-insensitively.
        binCardCategory:
          type: string
          description: >-
            The category of the card, which indicates the card product. For
            example: Standard, Gold, Platinum, etc. The binCardCategory for
            prepaid cards is marked `PREPAID`.
        binCardIssuer:
          type: string
          description: The name of the financial institution that issued the card.
        binCardIssuerCountry:
          type: string
          description: The issuing financial institution's country name.
        binCardIssuerCountryCodeA2:
          type: string
          description: >-
            The issuing financial institution's two-character ISO country code.
            See [this resource](https://www.iso.org/obp/ui/#search) for a list
            of codes.
        binCardIssuerCountryNumber:
          type: string
          description: >-
            The issuing financial institution's ISO standard numeric country
            code. See [this resource](https://www.iso.org/obp/ui/#search) for a
            list of codes.
        binCardIsRegulated:
          type: string
          description: Indicates whether the card is regulated.
        binCardUseCategory:
          type: string
          description: The use category classification for the card.
        binCardIssuerCountryCodeA3:
          type: string
          description: >-
            The issuing financial institution's three-character ISO country
            code.

            See [this resource](https://www.iso.org/obp/ui/#search) for a list
            of

            codes.
      description: >-
        Object containing information related to the card. This object is `null`

        unless the payment method is card. If the payment method is Apple Pay,
        the

        binData will be related to the DPAN (device primary account number), not

        the card connected to Apple Pay.
      title: BinData
    VendorResponseStoredMethod:
      type: object
      properties:
        IdPmethod:
          type:
            - string
            - 'null'
        Method:
          type:
            - string
            - 'null'
        Descriptor:
          type:
            - string
            - 'null'
        MaskedAccount:
          type:
            - string
            - 'null'
        ExpDate:
          type:
            - string
            - 'null'
        HolderName:
          type:
            - string
            - 'null'
        AchSecCode:
          type:
            - string
            - 'null'
        AchHolderType:
          type:
            - string
            - 'null'
        IsValidatedACH:
          type:
            - boolean
            - 'null'
        BIN:
          type:
            - string
            - 'null'
        binData:
          oneOf:
            - $ref: '#/components/schemas/BinData'
            - type: 'null'
        ABA:
          type:
            - string
            - 'null'
        PostalCode:
          type:
            - string
            - 'null'
        MethodType:
          type:
            - string
            - 'null'
        WalletType:
          type:
            - string
            - 'null'
          description: Digital wallet type if applicable.
        LastUpdated:
          type:
            - string
            - 'null'
          format: date-time
        CardUpdatedOn:
          type:
            - string
            - 'null'
          format: date-time
          description: Date and time the card was last updated.
      required:
        - IdPmethod
        - Method
        - Descriptor
        - MaskedAccount
        - ExpDate
        - HolderName
        - AchSecCode
        - AchHolderType
        - IsValidatedACH
        - BIN
        - binData
        - ABA
        - PostalCode
        - MethodType
        - WalletType
        - LastUpdated
        - CardUpdatedOn
      description: Stored payment method information
      title: VendorResponseStoredMethod
    VendorSummary:
      type: object
      properties:
        ActiveBills:
          type: integer
        PendingBills:
          type: integer
        InTransitBills:
          type: integer
        PaidBills:
          type: integer
        OverdueBills:
          type: integer
        ApprovedBills:
          type: integer
        DisapprovedBills:
          type: integer
        TotalBills:
          type: integer
        ActiveBillsAmount:
          type: number
          format: double
        PendingBillsAmount:
          type: number
          format: double
        InTransitBillsAmount:
          type: number
          format: double
        PaidBillsAmount:
          type: number
          format: double
        OverdueBillsAmount:
          type: number
          format: double
        ApprovedBillsAmount:
          type: number
          format: double
        DisapprovedBillsAmount:
          type: number
          format: double
        TotalBillsAmount:
          type: number
          format: double
      title: VendorSummary
    Vendorid:
      type: integer
      description: Payabli identifier for vendor record.
      title: Vendorid
    VendorNumber:
      type: string
      description: >
        Custom number identifying the vendor. Must be unique in paypoint. Can't
        be

        blank.
      title: VendorNumber
    Vendorstatus:
      type: integer
      description: |
        Vendor's status. Allowed values:

        - `0` Inactive
        - `1` Active
        - `-99` Deleted
      title: Vendorstatus
    Zip:
      type: string
      description: ZIP code for address.
      title: Zip
    VendorQueryRecord:
      type: object
      properties:
        additionalData:
          $ref: '#/components/schemas/AdditionalData'
        Address1:
          $ref: '#/components/schemas/AddressNullable'
        Address2:
          $ref: '#/components/schemas/AddressAddtlNullable'
        BillingData:
          $ref: '#/components/schemas/BillingDataResponse'
        City:
          $ref: '#/components/schemas/CityNullable'
        Contacts:
          type: array
          items:
            $ref: '#/components/schemas/ContactsResponse'
          description: Array of objects describing the vendor's contacts.
        Country:
          type: string
        CreatedDate:
          $ref: '#/components/schemas/CreatedAt'
        customerVendorAccount:
          type: string
        customField1:
          type: string
        customField2:
          type: string
        EIN:
          $ref: '#/components/schemas/Ein'
        Email:
          $ref: '#/components/schemas/Email'
        EnrollmentStatus:
          $ref: '#/components/schemas/EnrollmentStatus'
        externalPaypointID:
          $ref: '#/components/schemas/ExternalPaypointId'
        InternalReferenceId:
          $ref: '#/components/schemas/InternalReferenceId'
        LastUpdated:
          $ref: '#/components/schemas/LastModified'
        LocationCode:
          type: string
        Mcc:
          $ref: '#/components/schemas/Mcc'
        Name1:
          type: string
        Name2:
          type: string
        ParentOrgName:
          $ref: '#/components/schemas/OrgParentName'
        ParentOrgId:
          $ref: '#/components/schemas/OrgParentId'
        payeeName1:
          $ref: '#/components/schemas/PayeeName'
        payeeName2:
          $ref: '#/components/schemas/PayeeName'
        PaymentMethod:
          $ref: '#/components/schemas/VendorPaymentMethodString'
        PaypointDbaname:
          $ref: '#/components/schemas/Dbaname'
        PaypointEntryname:
          $ref: '#/components/schemas/Entrypointfield'
        PaypointLegalname:
          $ref: '#/components/schemas/Legalname'
        Phone:
          type: string
        remitAddress1:
          $ref: '#/components/schemas/Remitaddress1'
        remitAddress2:
          $ref: '#/components/schemas/Remitaddress2'
        remitCity:
          $ref: '#/components/schemas/Remitcity'
        remitCountry:
          $ref: '#/components/schemas/Remitcountry'
        RemitEmail:
          $ref: '#/components/schemas/RemitEmail'
        remitState:
          $ref: '#/components/schemas/Remitstate'
        remitZip:
          $ref: '#/components/schemas/Remitzip'
        State:
          $ref: '#/components/schemas/StateNullable'
        StoredMethods:
          type: array
          items:
            $ref: '#/components/schemas/VendorResponseStoredMethod'
        Summary:
          $ref: '#/components/schemas/VendorSummary'
        VendorId:
          $ref: '#/components/schemas/Vendorid'
        VendorNumber:
          $ref: '#/components/schemas/VendorNumber'
        VendorStatus:
          $ref: '#/components/schemas/Vendorstatus'
        Zip:
          $ref: '#/components/schemas/Zip'
        PaymentPortalUrl:
          type: string
          description: >-
            URL for the vendor's online payment portal, if known. Populated by
            the vendor enrichment pipeline.
        CardAccepted:
          type: string
          description: >-
            Whether the vendor accepts card payments. Values are `yes`, `no`, or
            `unable to determine`. Populated by the vendor enrichment pipeline.
        AchAccepted:
          type: string
          description: >-
            Whether the vendor accepts ACH payments. Values are `yes`, `no`, or
            `unable to determine`. Populated by the vendor enrichment pipeline.
        EnrichmentStatus:
          type: string
          description: >-
            Current enrichment state of the vendor. Values are `not_enriched`,
            `partially_enriched`, `fully_enriched`, or `fallback_applied`.
        EnrichedBy:
          type: string
          description: >-
            Which enrichment method resolved the vendor's payment acceptance
            info. Values are `invoice_scan`, `web_search`, `vendor_network`, or
            `manual`.
        EnrichedAt:
          type: string
          format: date-time
          description: When the vendor was last enriched (UTC).
        EnrichmentId:
          type: string
          description: Identifier for the enrichment request that last updated this vendor.
      title: VendorQueryRecord
    PageIdentifier:
      type: string
      description: Auxiliary validation used internally by payment pages and components.
      title: PageIdentifier
    Pagesize:
      type: integer
      description: Number of records on each response page.
      title: Pagesize
    Totalrecords:
      type: integer
      description: Total number of records in response.
      title: Totalrecords
    QuerySummary:
      type: object
      properties:
        pageIdentifier:
          $ref: '#/components/schemas/PageIdentifier'
        pageSize:
          $ref: '#/components/schemas/Pagesize'
        totalAmount:
          type: number
          format: double
          description: Total amount for the records.
        totalNetAmount:
          type: number
          format: double
          description: Total net amount for the records.
        totalPages:
          $ref: '#/components/schemas/Totalrecords'
        totalRecords:
          $ref: '#/components/schemas/Totalrecords'
      title: QuerySummary
    QueryResponseVendors:
      type: object
      properties:
        Records:
          type: array
          items:
            $ref: '#/components/schemas/VendorQueryRecord'
        Summary:
          $ref: '#/components/schemas/QuerySummary'
      description: Response payload for queries related to vendors.
      title: QueryResponseVendors
    PayabliErrorBodyResponseData:
      type: object
      properties:
        explanation:
          type: string
          description: Human-readable explanation of what happened.
        todoAction:
          type: string
          description: Suggested resolution.
      description: Object with detailed error context.
      title: PayabliErrorBodyResponseData
    PayabliErrorBody:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: Always `false` for error responses.
        responseCode:
          type: integer
          description: |
            Code for the response. Learn more in
            [API Response Codes](/developers/api-reference/api-responses).
        responseText:
          type: string
          description: Error text describing what went wrong.
        responseData:
          $ref: '#/components/schemas/PayabliErrorBodyResponseData'
          description: Object with detailed error context.
      required:
        - isSuccess
        - responseText
      description: |
        Shape returned by every Payabli API error response. The `responseData`
        object carries human-readable error context.
      title: PayabliErrorBody
  securitySchemes:
    APIKeyAuth:
      type: apiKey
      in: header
      name: requestToken
      description: >
        Long-lived API token sent in the `requestToken` header. See [API token
        authentication](/developers/api-tokens).
    BearerAuth:
      type: http
      scheme: bearer
      description: >
        OAuth2 Bearer access token from the client-credentials flow. See [OAuth
        authentication](/developers/oauth-authentication).

```

## Examples



**Response**

```json
{
  "Records": [
    {
      "additionalData": null,
      "Address1": "123 Ocean Drive",
      "Address2": "Suite 400",
      "BillingData": {
        "id": 123456,
        "nickname": "Main Checking Account",
        "bankName": "Example Bank",
        "routingAccount": "123456789",
        "accountNumber": "9876543210",
        "typeAccount": "Checking",
        "bankAccountHolderName": "John Doe",
        "bankAccountHolderType": "Business",
        "bankAccountFunction": 2,
        "verified": true,
        "status": 1,
        "services": [],
        "default": true,
        "accountId": "bank-account-001"
      },
      "City": "Bristol",
      "Contacts": [
        {
          "ContactEmail": "eric@martinezcoatings.com",
          "ContactName": "Eric Martinez",
          "ContactPhone": "5555555555",
          "ContactTitle": "Owner"
        }
      ],
      "Country": "US",
      "CreatedDate": "2022-07-01T15:00:01Z",
      "customerVendorAccount": "123-456",
      "customField1": "",
      "customField2": "",
      "EIN": "123456789",
      "Email": "example@email.com",
      "EnrollmentStatus": null,
      "externalPaypointID": "Paypoint-100",
      "InternalReferenceId": 1000000,
      "LastUpdated": "2022-07-01T15:00:01Z",
      "LocationCode": "LOC123",
      "Mcc": "7777",
      "Name1": "Herman's Coatings",
      "Name2": "Herman's Coating Supply Company, LLC",
      "ParentOrgName": "PropertyManager Pro",
      "ParentOrgId": 1000,
      "payeeName1": "payeeName1",
      "payeeName2": "payeeName2",
      "PaymentMethod": null,
      "PaypointDbaname": "Sunshine Gutters",
      "PaypointEntryname": "d193cf9a46",
      "PaypointLegalname": "Sunshine Services, LLC",
      "Phone": "2125551234",
      "remitAddress1": "123 Walnut Street",
      "remitAddress2": "Suite 900",
      "remitCity": "Miami",
      "remitCountry": "US",
      "RemitEmail": null,
      "remitState": "FL",
      "remitZip": "31113",
      "State": "GA",
      "StoredMethods": [],
      "Summary": {
        "ActiveBills": 2,
        "PendingBills": 4,
        "InTransitBills": 3,
        "PaidBills": 18,
        "OverdueBills": 1,
        "ApprovedBills": 5,
        "DisapprovedBills": 1,
        "TotalBills": 34,
        "ActiveBillsAmount": 1250.75,
        "PendingBillsAmount": 2890.5,
        "InTransitBillsAmount": 1675.25,
        "PaidBillsAmount": 15420.8,
        "OverdueBillsAmount": 425,
        "ApprovedBillsAmount": 3240.9,
        "DisapprovedBillsAmount": 180,
        "TotalBillsAmount": 25083.2
      },
      "VendorId": 456,
      "VendorNumber": "VEN-123",
      "VendorStatus": 1,
      "Zip": "31113",
      "PaymentPortalUrl": "https://greenfield-landscaping.com/pay",
      "CardAccepted": "yes",
      "AchAccepted": "unable to determine",
      "EnrichmentStatus": "fully_enriched",
      "EnrichedBy": "web_search",
      "EnrichedAt": "2026-03-05T14:22:10Z",
      "EnrichmentId": "enrich-3890-a1b2c3d4"
    }
  ],
  "Summary": {
    "pageIdentifier": "null",
    "pageSize": 20,
    "totalAmount": 200,
    "totalNetAmount": 77.22,
    "totalPages": 1,
    "totalRecords": 1
  }
}
```

**SDK Code**

```typescript
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.query.listVendorsOrg(123, {
        fromRecord: 251,
        limitRecord: 0,
        sortBy: "desc(field_name)",
    });
}
main();

```

```python
from payabli import payabli

client = payabli(
    api_key="YOUR_API_KEY_HERE",
)

client.query.list_vendors_org(
    org_id=123,
    from_record=251,
    limit_record=0,
    sort_by="desc(field_name)",
)

```

```java
package com.example.usage;

import io.github.payabli.api.PayabliPayabliApiOasClient;
import io.github.payabli.api.resources.query.requests.ListVendorsOrgRequest;

public class Example {
    public static void main(String[] args) {
        PayabliPayabliApiOasClient client = PayabliPayabliApiOasClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.query().listVendorsOrg(
            123,
            ListVendorsOrgRequest
                .builder()
                .fromRecord(251)
                .limitRecord(0)
                .sortBy("desc(field_name)")
                .build()
        );
    }
}
```

```ruby
require "payabli"

client = Payabli::Client.new(api_key: "YOUR_API_KEY_HERE")

client.query.list_vendors_org(
  org_id: 123,
  from_record: 251,
  limit_record: 0,
  sort_by: "desc(field_name)"
)

```

```csharp
using PayabliPayabliApiOas;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayabliPayabliApiOasClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.Query.ListVendorsOrgAsync(
            123,
            new ListVendorsOrgRequest {
                FromRecord = 251,
                LimitRecord = 0,
                SortBy = "desc(field_name)"
            }
        );
    }

}

```

```go
package example

import (
    context "context"

    payabli "github.com/payabli/sdk-go"
    client "github.com/payabli/sdk-go/client"
    option "github.com/payabli/sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithApiKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    request := &payabli.ListVendorsOrgRequest{
        FromRecord: payabli.Int(
            251,
        ),
        LimitRecord: payabli.Int(
            0,
        ),
        SortBy: payabli.String(
            "desc(field_name)",
        ),
    }
    client.Query.ListVendorsOrg(
        context.TODO(),
        123,
        request,
    )
}

```

```php
<?php

namespace Example;

use Payabli\PayabliClient;
use Payabli\Query\Requests\ListVendorsOrgRequest;

$client = new PayabliClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->query->listVendorsOrg(
    123,
    new ListVendorsOrgRequest([
        'fromRecord' => 251,
        'limitRecord' => 0,
        'sortBy' => 'desc(field_name)',
    ]),
);

```

```swift
import Foundation

let headers = ["requestToken": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/Query/vendors/org/123?fromRecord=251&limitRecord=0&sortBy=desc%28field_name%29")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```